Bug 630297 - Review Request: ghc-persistent - Type-safe, non-relational, multi-backend persistence
Review Request: ghc-persistent - Type-safe, non-relational, multi-backend per...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 630288
Blocks: yesod
  Show dependency treegraph
 
Reported: 2010-09-04 12:55 EDT by Ben Boeckel
Modified: 2013-06-24 06:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:26:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 12:55:45 EDT
Spec URL: http://benboeckel.net/packaging/ghc-persistent/ghc-persistent.spec
SRPM URL: http://benboeckel.net/packaging/ghc-persistent/ghc-persistent-0.2.0.2-1.fc14.src.rpm
Description:
This library provides just the general interface and helper
functions. You must use a specific backend in order to make
this useful.

% lintmock fedora-14-x86_64-bb
ghc-persistent.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent.src: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent.src: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent.src: W: strange-permission ghc-persistent.spec 0640L
ghc-persistent.src: W: strange-permission persistent-0.2.0.2.tar.gz 0640L
ghc-persistent.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent.x86_64: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent.x86_64: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent-devel.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent-devel.x86_64: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent-devel.x86_64: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent-prof.x86_64: E: devel-dependency ghc-persistent-devel
ghc-persistent-prof.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent-prof.x86_64: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent-prof.x86_64: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent-prof.x86_64: W: no-documentation
ghc-persistent-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/persistent-0.2.0.2/libHSpersistent-0.2.0.2_p.a
4 packages and 0 specfiles checked; 1 errors, 16 warnings.
Comment 1 Ben Boeckel 2010-10-31 12:42:14 EDT
Spec URL: http://benboeckel.net/packaging/ghc-persistent/ghc-persistent.spec
SRPM URL: http://benboeckel.net/packaging/ghc-persistent/ghc-persistent-0.3.0.1-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-persistent.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent.src: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent.src: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent.src: W: strange-permission ghc-persistent.spec 0640L
ghc-persistent.src: W: strange-permission persistent-0.3.0.1.tar.gz 0640L
ghc-persistent.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent.x86_64: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent.x86_64: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent-devel.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent-devel.x86_64: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent-devel.x86_64: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent-prof.x86_64: E: devel-dependency ghc-persistent-devel
ghc-persistent-prof.x86_64: W: spelling-error Summary(en_US) multi -> mulch, mufti
ghc-persistent-prof.x86_64: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
ghc-persistent-prof.x86_64: W: spelling-error %description -l en_US backend -> backed, backbend, back end
ghc-persistent-prof.x86_64: W: no-documentation
ghc-persistent-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/persistent-0.3.0.1/libHSpersistent-0.3.0.1_p.a
4 packages and 0 specfiles checked; 1 errors, 16 warnings.
Comment 2 Jens Petersen 2011-03-07 04:22:27 EST
Now a dependency of yesod-persistent.
Comment 3 Michel Alexandre Salim 2012-09-26 07:24:29 EDT
Should be updated to 1.0.1.2:

http://hackage.haskell.org/package/persistent
Comment 4 Jens Petersen 2013-06-24 06:26:03 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.